// ========================
// Tumbo 7 shader script. =
// ========================

textures/tumbo7/skybox_s
{
	qer_editorimage env/tumbo7/factory_lf.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/atcs/skylight.jpg
	q3map_sunExt 0.961 0.962 0.993 100 0 45 2 16
	q3map_skylight 250 3
	q3map_globaltexture
	skyparms env/tumbo7/factory - -
}

textures/tumbo7/lavaspark_s
{
	{
		map textures/tumbo7/spark1.jpg
		blendFunc add
	}
}

// Taken from karith
textures/tumbo7/ladder
{
	qer_trans .75
	qer_editorimage textures/tumbo7/ladder.jpg
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/tumbo7/darkness
{
	qer_editorimage textures/tumbo7/black.jpg
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm playerclip
	{
		map textures/tumbo7/black.jpg
	}
}


//Taken from Nexus6
textures/tumbo7/slime_s
{
	qer_editorimage textures/tumbo7/slime.jpg
	q3map_lightimage textures/tumbo7/slime_superheated.jpg
	q3map_globaltexture

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 500
	tessSize 32
	cull disable

	deformVertexes wave 100 sin 0 1 .5 .5
		{
			map textures/tumbo7/slimec.jpg
			rgbGen const ( 0.5 0.5 0.5 )
			alphaGen lightingSpecular
			blendfunc add
			tcGen environment
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
		{
			map textures/tumbo7/slime_superheated.jpg
			rgbGen const ( 0.75 0.75 0.75 )
			alphaGen lightingSpecular
			blendfunc add
			tcGen environment
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .02 .01
		}
}
textures/tumbo7/slime_s_flowing
{
	qer_editorimage textures/tumbo7/slime.jpg
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_lightimage textures/tumbo7/slime_superheated.jpg
	q3map_backshader textures/tumbo7/slime_s_flowing
	q3map_globaltexture

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 500
		{
			map textures/tumbo7/slimec.jpg
			rgbGen const ( 0.5 0.5 0.5 )
			alphaGen lightingSpecular
			blendfunc add
			tcGen environment
			tcMod scroll 0 -.5
		}
		{
			map textures/tumbo7/slime_superheated.jpg
			rgbGen const ( 0.75 0.75 0.75 )
			alphaGen lightingSpecular
			blendfunc add
			tcGen environment
			tcMod scale .5 .5
			tcMod scroll 0 -1
		}
}
textures/tumbo7/slime_s_flowing_slow
{
	qer_editorimage textures/tumbo7/slime_superheated.jpg
	q3map_nonplanar
	q3map_shadeangle 60
	q3map_lightimage textures/tumbo7/slime_superheated.jpg
	q3map_globaltexture

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 500
	tessSize 32

//	deformVertexes wave 100 sin 0 1 .1 .1
		{
			map textures/tumbo7/slimec.jpg
			rgbGen const ( 0.5 0.5 0.5 )
			alphaGen lightingSpecular
			blendfunc add
			tcMod scroll -.25 0
		}
		{
			map textures/tumbo7/slime_superheated.jpg
			rgbGen const ( 0.75 0.75 0.75 )
			alphaGen lightingSpecular
			blendfunc add
			tcMod scale .5 .5
			tcMod scroll -0.5 0
		}
}

textures/tumbo7/light_s_1k
{
	qer_editorimage textures/tumbo7/light.jpg
	surfaceparm nomarks
	q3map_lightimage textures/tumbo7/light.blend.jpg
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tumbo7/light.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tumbo7/light.blend.jpg
		rgbGen wave sin .3 .1 0 0.5
		blendFunc GL_ONE GL_ONE
	}
}

textures/tumbo7/light_s_5k
{
	qer_editorimage textures/tumbo7/light.jpg
	surfaceparm nomarks
	q3map_lightimage textures/tumbo7/light.blend.jpg
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tumbo7/light.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tumbo7/light.blend.jpg
		rgbGen wave sin .3 .1 0 0.5
		blendFunc GL_ONE GL_ONE
	}
}

textures/tumbo7/light_s_10k
{
	qer_editorimage textures/tumbo7/light.jpg
	surfaceparm nomarks
	q3map_lightimage textures/tumbo7/light.blend.jpg
	q3map_surfacelight 10000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tumbo7/light.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tumbo7/light.blend.jpg
		rgbGen wave sin .3 .1 0 0.5
		blendFunc GL_ONE GL_ONE

	}
}

textures/tumbo7/light_s_30k
{
	qer_editorimage textures/tumbo7/light.jpg
	surfaceparm nomarks
	q3map_lightimage textures/tumbo7/light.blend.jpg
	q3map_surfacelight 30000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/tumbo7/light.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/tumbo7/light.blend.jpg
		rgbGen wave sin .3 .1 0 0.5
		blendFunc GL_ONE GL_ONE
	}
}

textures/tumbo7/glass_s
{
	qer_editorimage textures/tumbo7/glass.jpg
	q3map_shadeangle 120
	qer_trans 0.8
	surfaceparm trans
	surfaceparm nolightmap
	cull twosided
	{
		map textures/tumbo7/glass.jpg
//		alphaGen lightingSpecular
		tcGen environment
		blendFunc GL_ONE GL_ONE
	}
}

textures/tumbo7/ter_gravel_s
{
	qer_editorimage textures/tumbo7/ter_gravel.jpg
	q3map_shadeangle 120
	q3map_bounce 0
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/tumbo7/ter_gravel.jpg
		alphaGen lightingSpecular
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
	{
		map textures/tumbo7/ter_gravel.blend.jpg
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
}
textures/tumbo7/ter_grass_s
{
	qer_editorimage textures/tumbo7/ter_grass.jpg
	q3map_shadeangle 120
	q3map_bounce 0
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/tumbo7/ter_grass.jpg
		alphaGen lightingSpecular
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
}

textures/tumbo7/grate_s
{
	qer_editorimage textures/tumbo7/grate.tga
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm metalsteps
	surfaceparm playerclip
	cull none
	nopicmip
	{
		map textures/tumbo7/grate.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map textures/tumbo7/trem2ref.jpg
		depthFunc equal
		tcGen environment
		blendFunc filter
	}
	{
		map $lightmap
		depthFunc equal
		blendFunc filter
	}
}

textures/tumbo7/cylinder_spin
{
	qer_editorimage textures/tumbo7/redmetal.jpg
	q3map_shadeangle 120
	surfaceparm nomarks
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
	}
	{
		map textures/tumbo7/redmetal.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		alphaGen lightingSpecular
		tcMod scroll -5 0
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tumbo7/pipe_energyspike
{
	qer_editorimage textures/tumbo7/electricpipe.jpg
	q3map_shadeangle 179
	surfaceparm metalsteps
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
	}
	{
		map textures/tumbo7/electricpipe.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tumbo7/energyspike.jpg
		tcMod scroll 0 1
		blendFunc add
	}
}

textures/tumbo7/redmetal_chrome
{
	qer_editorimage textures/tumbo7/redmetal.jpg
	q3map_shadeangle 179
	surfaceparm metalsteps
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
	}
	{
		map textures/tumbo7/redmetal.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tumbo7/whitemetal_chrome
{
	qer_editorimage textures/tumbo7/whitemetal.jpg
	q3map_shadeangle 179
	surfaceparm metalsteps
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
	}
	{
		map textures/tumbo7/whitemetal.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tumbo7/belt_chrome
{
	qer_editorimage textures/tumbo7/belt.jpg
	surfaceparm metalsteps
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
	}
	{
		map textures/tumbo7/belt.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
//		tcMod scroll -1 0
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/tumbo7/rustywall_chrome
{
	qer_editorimage textures/tumbo7/rustywall.jpg
	surfaceparm metalsteps
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
	}
	{
		map textures/tumbo7/rustywall.blend.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tumbo7/rustywall.jpg
		alphaGen lightingSpecular
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
	{
		map textures/tumbo7/rustywall.blend.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
	}
}
textures/tumbo7/metalwall_chrome
{
	qer_editorimage textures/tumbo7/metalwall.jpg
	surfaceparm metalsteps
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
	}
	{
		map textures/tumbo7/metalwall.blend.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/tumbo7/metalwall.jpg
		alphaGen lightingSpecular
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
	{
		map textures/tumbo7/metalwall.blend.tga
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
	}
}

textures/tumbo7/metalfloor_chrome
{
	qer_editorimage textures/tumbo7/metalfloor.jpg
	surfaceparm metalsteps
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
	}
	{
		map textures/tumbo7/metalfloor.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tumbo7/trim1_shiny
{
	qer_editorimage textures/tumbo7/trim1.jpg
	q3map_shadeangle 120
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
		alphaGen lightingSpecular
	}
	{
		map textures/tumbo7/trim1.blend.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tumbo7/tile1_shiny
{
	qer_editorimage textures/tumbo7/tile1.jpg
	surfaceparm metalsteps
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/tumbo7/tile1.jpg
		alphaGen lightingSpecular
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
	{
		map textures/tumbo7/tile1.blend.tga
		blendFunc filter
	}
}
textures/tumbo7/tile2_shiny
{
	qer_editorimage textures/tumbo7/tile2.jpg
	surfaceparm metalsteps
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/tumbo7/tile2.jpg
		alphaGen lightingSpecular
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
	{
		map textures/tumbo7/tile2.blend.tga
		blendFunc filter
	}
}

textures/tumbo7/scratchedmarble_shiny
{
	qer_editorimage textures/tumbo7/scratchedmarble.jpg
	q3map_shadeangle 120
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/tumbo7/scratchedmarble.jpg
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		rgbGen identity
		alphaGen lightingSpecular
	}
}

textures/tumbo7/woodfloor_shiny
{
	qer_editorimage textures/tumbo7/ter_wood.jpg
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/tumbo7/ter_wood.jpg
		alphaGen lightingSpecular
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
	{
		map textures/tumbo7/ter_wood.blend.tga
		blendFunc filter
	}
}

textures/tumbo7/whitewall_shiny
{
	qer_editorimage textures/tumbo7/whitewall.jpg
	q3map_shadeangle 179
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/tumbo7/whitewall.jpg
		alphaGen lightingSpecular
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
	{
		map textures/tumbo7/whitewall.blend.tga
//		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		blendFunc filter
		rgbGen identity
	}
}
textures/tumbo7/whitewallbroken_shiny
{
	qer_editorimage textures/tumbo7/whitewallbroken.jpg
	q3map_shadeangle 120
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/tumbo7/whitewallbroken.jpg
		alphaGen lightingSpecular
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
	{
		map textures/tumbo7/whitewallbroken.blend.tga
//		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		blendFunc filter
	}
}
textures/tumbo7/redwall_shiny
{
	qer_editorimage textures/tumbo7/redwall.jpg
	q3map_shadeangle 120
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/tumbo7/redwall.jpg
		alphaGen lightingSpecular
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
	{
		map textures/tumbo7/redwall.blend.tga
//		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		blendFunc filter
	}
	{
		map textures/tumbo7/redwall.lightstrip.jpg
		tcMod scroll 0.005 0
		rgbGen wave sin .3 .1 0 0.5
		blendFunc add
	}
}
textures/tumbo7/redwall2_shiny
{
	qer_editorimage textures/tumbo7/redwall2.jpg
	q3map_shadeangle 120
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/tumbo7/redwall2.jpg
		alphaGen lightingSpecular
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
	{
		map textures/tumbo7/redwall2.blend.tga
//		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		blendFunc filter
	}
	{
		map textures/tumbo7/redwall2.lightstrip.jpg
		tcMod scroll 0.005 0
		rgbGen wave sin .3 .1 0 0.5
		blendFunc add
	}
}
textures/tumbo7/brickwall_shiny
{
	qer_editorimage textures/tumbo7/brickwall.jpg
	q3map_shadeangle 120
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/tumbo7/brickwall.jpg
		alphaGen lightingSpecular
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
}

textures/tumbo7/beam_chrome
{
	qer_editorimage textures/tumbo7/beam.jpg
	q3map_shadeangle 60
	surfaceparm metalsteps
	{
		map textures/tumbo7/beam.jpg
	}
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
	}
	{
		map textures/tumbo7/beam.blend.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/tumbo7/beam.blend.tga
		alphaGen lightingSpecular
		blendFunc add
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tumbo7/pipes_chrome
{
	qer_editorimage textures/tumbo7/pipes.jpg
	q3map_shadeangle 60
	surfaceparm metalsteps
	{
		map textures/tumbo7/pipes.jpg
	}
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
	}
	{
		map textures/tumbo7/pipes.blend.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/tumbo7/pipes.blend.tga
		alphaGen lightingSpecular
		blendFunc add
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tumbo7/stripewall_chrome
{
	qer_editorimage textures/tumbo7/stripewall.jpg
	q3map_shadeangle 60
	surfaceparm metalsteps
	{
		map textures/tumbo7/stripewall.jpg
	}
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
	}
	{
		map textures/tumbo7/stripewall.blend.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/tumbo7/stripewall.blend.tga
		alphaGen lightingSpecular
		blendFunc add
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/tumbo7/stripewall2_shiny
{
	qer_editorimage textures/tumbo7/stripewall2.jpg
	q3map_shadeangle 120
	{
		map textures/tumbo7/stripewall2.jpg
		alphaGen lightingSpecular
		rgbGen identity
//		blendFunc GL_DST_COLOR GL_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/tumbo7/sign_oldrifle_chrome
{
	qer_editorimage textures/tumbo7/stannum_rifle.jpg
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphaGen lightingSpecular
		rgbGen identity
	}
	{
		map textures/tumbo7/stannum_rifle.blend.tga
		blendFunc blend
	}
}
textures/tumbo7/sign_newrifle_chrome
{
	qer_editorimage textures/tumbo7/stannum_riflenew.jpg
	{
		rgbGen identity
		map $lightmap
	}
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
		blendFunc GL_DST_COLOR GL_SRC_ALPHA
		alphaGen lightingSpecular
		rgbGen identity
	}
	{
		map textures/tumbo7/stannum_riflenew.blend.tga
		blendFunc blend
	}
}
textures/tumbo7/sign_tremnet_chrome
{
	qer_editorimage textures/tumbo7/stannum_tremnet.jpg
	surfaceparm nolightmap
	q3map_surfacelight 100
	q3map_lightimage textures/tumbo7/static.jpg
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
		rgbGen identity
	}
	{
		map textures/tumbo7/stannum_tremnet.blend.tga
		rgbGen wave sin 1 .5 0 1
		tcMod scroll 0 -3
		blendFunc blend
	}
	{
		map textures/tumbo7/static.tga
		tcMod stretch triangle 1 1 0 10
		tcMod rotate 10
		tcMod scroll -10 -5
		blendFunc blend
	}
}
textures/tumbo7/sign_tumbo_chrome
{
	qer_editorimage textures/tumbo7/tumbosign.jpg
	q3map_shadeangle 120
	surfaceparm metalsteps
	{
		map textures/tumbo7/trem2ref.jpg
		tcGen environment
	}
	{
		map textures/tumbo7/tumbosign.jpg
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		alphaGen lightingSpecular
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/tumbo7/door2_chrome
{
	qer_editorimage textures/tumbo7/door2.jpg
	{
		map textures/tumbo7/door2.jpg
	}
	{
		map $lightmap
		blendFunc filter
	}
}
